#ifndef PRISM2_CONFIG_H
#define PRISM2_CONFIG_H

#define PRISM2_VERSION "0.0.0 2002-05-19"

/* define PRISM2_MONITOR to add support for raw WLAN frame sniffing */
#define PRISM2_MONITOR

/* define PRISM2_USE_TX_INTERRUPT to instruct the driver to handle TX
 * interrupts and increments tx_packets counter only for successfully sent
 * frames. This will produce more exact statistics by removing, e.g., TX errors
 * from the counter, but also more load due to extra interrupts for all TX
 * frames. If this is commented, the extra TX interrupts are masked out and
 * tx_packets counter is incremented from Alloc events. */
/* #define PRISM2_USE_TX_INTERRUPT */

/* define PRISM2_USE_CMD_COMPL_INTERRUPT to instruct the driver to use command
 * completion interrupt for transmit commands instead of using busy wait
 * (of about 150 usec) with each TX frame */
#define PRISM2_USE_CMD_COMPL_INTERRUPT

/* define PRISM2_HOSTAPD to use user space daemon to handle management frames;
 */
/* #define PRISM2_HOSTAPD */

/* Maximum number of events handler per one interrupt */
#define PRISM2_MAX_INTERRUPT_EVENTS 20

/* Use PCI bus master to copy data to/from BAP (only available for
 * hostap_pci.o). This requires PRISM2_USE_CMD_COMPL_INTERRUPT.
 *
 * Note! This is extremely experimental. PCI bus master is not supported by
 * Intersil and it seems to have some problems at least on TX path (see below).
 * The driver code for implementing bus master support is based on guessing
 * and experimenting suitable control bits and these might not be correct.
 * This code is included because using bus master makes a huge difference in
 * host CPU load (something like 40% host CPU usage to 5-10% when sending or
 * receiving at maximum throughput).
 *
 * Note2! Station firmware version 1.3.5 and primary firmware version 1.0.7
 * have some fixes for PCI corruption and these (or newer) versions are
 * recommended especially when using bus mastering. */
/* #define PRISM2_BUS_MASTER */

#ifdef PRISM2_BUS_MASTER

/* PCI bus master implementation seems to be broken in current
 * hardware/firmware versions. Enable this to use enable command to fix
 * something before starting bus master operation on TX path. This will add
 * some latency and an extra interrupt to each TX packet. */
#define PRISM2_ENABLE_BEFORE_TX_BUS_MASTER

#endif /* PRISM2_BUS_MASTER */

/* Include code for downloading firmware images. */
/* #define PRISM2_DOWNLOAD_SUPPORT */

#endif /* PRISM2_CONFIG_H */
